List DNS Zones

API server

https://app.coolify.io/api/v1

Choose where to send API requests

This changes the request URL and code examples on every endpoint page.

API server type

Requests will use

https://app.coolify.io/api/v1

Use only a Coolify URL you trust. Sending a test request also sends the API token you enter.

GET
/dns/zones

List the DNS zones that the Cloudflare tokens of the team can access. Requires admin or owner.

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Response Body

application/json

application/json

curl -X GET "https://app.coolify.io/api/v1/dns/zones"
[  {    "zone": "string",    "account_name": "string",    "integration_token_uuid": "string",    "integration_token_name": "string",    "managed_records_count": 0  }]
{  "message": "Unauthenticated."}
Empty